Suporte » Desenvolvendo com WordPress » Plugin do Mercado Pago

  • Resolvido rodrigo370

    (@rodrigo370)


    Boa tarde!

    Instalei o Plugin WooCommerce Mercado Pago, a ao ativá-lo aparece a seguinte mensagem:

    “O site está com problemas técnicos. Por favor, verifique o email de administrador do site para obter instruções.”

    Eu entrei em contato com a Hostgator e eles me informaram o seguinte:

    “Eu inseri a versão de php 7.1 aqui
    Este é o log do erro em referencia ao plugin:
    [24-Oct-2019 17:16:00 UTC] PHP Fatal error: Class ‘WC_Payment_Gateway’ not found in /home4/fornec77/public_html/wp-content/plugins/woocommerce-mercadopago/includes/module/preference/WC_WooMercadoPago_PreferenceAbstract.php on line 11
    parece um problema diretamente no código, sem muita relação com o servidor
    Então é importante verificar se não precisa de algum módulo de php ou versão para rodar”

    Voltou tudo normal e novamente instalei o Plugin, só que na hora de ativar deu o mesmo erro.

    Aí tive que entrar em contato novamente com eles, foi desativado os plugins e ativado novamente.

    O único plugin que tenho ativado aqui é o Elementor.

    Aqui no meu painel do WordPress aparece “O plugin woocommerce-mercadopago=/woocommerce-mercadopago.php foi desactivado devido a um erro: Ficheiro de plugin inexistente.”

    Como posso resolver?

    A página que eu preciso de ajuda: [fazer login para ver o link]

Visualizando 3 respostas - 1 até 3 (de um total de 3)
  • Olá @rodrigo370,

    Provavelmente o que ta causando o problema são duas configurações que você precisa fazer no arquivo php.ini da sua hospedagem:

    1 – desabilitar o safe_mode ele precisa ficar dessa forma lá safe_mode off

    2 – O memory_limit tem que ser maior que 256MB você precisar colocar por exemplo assim no seu php.ini:

    memory_limit 512M onde o M é de Megabytes.

    Caso nao saiba fazer entre em contato com o suporte da sua hospedagem que eles fazem isso para você.

    Então, entrei em contato com o suporte da hospedagem e pedi pra eles fazerem isso mas não resolveu o problema.
    Agora entrei em contato com o suporte do plugin.

    Mas obrigado pela ajuda.

    @rodrigo370,

    Uma forma de você se certificar que a hospedagem realmente fez as alterações necessárias e se você está na versão necessária do PHP pro funcionamento do plugin é criar um arquivo info.php na raiz da sua hospedagem com o seguinte código dentro:

    
    <?php
    phpinfo();
    ?>
    

    depois basta acessar no navegador seusite.com.br/info.php. você terá uma página com a versão do php que está rodando no seu site e todos os módulos, bastando você fazer uma pesquisa e ver se as configurações estão certas.

    se resolver com o suporte do plugin favor voltar aqui e marcar o tópico como concluído

    abraços.

Visualizando 3 respostas - 1 até 3 (de um total de 3)
  • Você deve estar conectado para responder a este tópico.